oggz-dump(1)

NAME
oggz-dump — Hexdump packets of an Ogg file, or revert an Ogg file from such a hexdump

SYNOPSIS

oggz-dump [-b | --binary ] [-x | --hexadecimal ] [-n | --new ] [-o filename | --output filename ] [-c content-type | --content-type content-type ] [-s serialno | --serialno serialno ] [-O | --hide-offset ] [-S | --hide-serialno ] [-G | --hide-granulepos ] [-P | --hide-packetno ] filename

oggz-dump [-r | --revert ] [-o filename | --output filename ] filename

oggz-dump [-h | --help ] [-v | --version ]

Description

oggz-dump generates a hexadecimal or binary dump of packets in an Ogg file, or creates an Ogg file from a hexadecimal oggz-dump file.

Options

oggz-dump accepts the following options:

  Dump format options

-b, --binary
    Generate a binary dump of each packet

-x, --hexadecimal
    Generate a hexadecimal dump of each packet

  Filtering options

-n, --new
    Only dump the first packet of each new logical bitstream found; for correctly formed Ogg files, this dumps only the beginning-of-stream packets.

-c content-type, --content-type content-type
    Dump only the logical bitstreams for a specific content-type. Run oggz-known-codecs(1) for a full list of codecs known by the installed version of oggz.

-s serialno, --serialno serialno
    Dump only the logical bitstream with specified serialno.

-O, --hide-offset
    Hide the byte offset field of the preamble for each packet dumped. This is particularly useful in conjunction with oggzdiff(1) when comparing Ogg bitstreams that differ only in page structure.

-S, --hide-serialno
    Hide the serialno field of the preamble for each packet dumped. This is particularly useful in conjunction with oggzdiff(1) when comparing Ogg bitstreams that differ only in serialno assignment.

-G, --hide-granulepos
    Hide the granulepos field of the preamble for each packet dumped.

-P, --hide-packetno
    Hide the packetno field of the preamble for each packet dumped.

  Mode options

-r, --revert
    Revert an oggz-dump. Generates an Ogg bitstream as prescribed in the input oggz-dump.

    The serialno, granulepos and packetno fields of the packet preambles in the oggz-dump, as well as any bos or eos markers if present, are used to structure the packets into logical bitstreams. Hence it is advised that the original input oggz-dump not be generated with any hiding filters.

    Only the hexadecimal data columns of the input oggz-dump are parsed when generating Ogg packet data; the printable character representation is ignored.

  Miscellaneous options

-o filename, --output filename
    Write output to the specified filename instead of printing it to standard output.

-h, --help
    Display usage information and exit.

-v, --version
    Output version information and exit.

EXAMPLES

Dump all bitstreams in file.ogg:

    oggz dump file.ogg

Dump only the Theora bitstream in file.ogv:

    oggz dump -c theora file.ogv

AUTHOR

Conrad Parker November 17, 2003;

COPYRIGHT

Copyright © 2003 CSIRO Australia

SEE ALSO

oggz-diff(1), hogg(1) xxd(1), hexdump(1)